[X2Go-Commits] [buildscripts] 02/02: bin/build-rpm-package: break out early if base arch is unknown.

git-admin at x2go.org git-admin at x2go.org
Wed Oct 18 06:15:26 CEST 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit ac1a56e6ef3739e8e4def596d079a4a348fc6205
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Wed Oct 18 06:15:04 2017 +0200

    bin/build-rpm-package: break out early if base arch is unknown.
---
 bin/build-rpm-package | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/bin/build-rpm-package b/bin/build-rpm-package
index ca7cac6..0a100dd 100755
--- a/bin/build-rpm-package
+++ b/bin/build-rpm-package
@@ -891,6 +891,11 @@ build_packages() {
 					if [ "${l_ARCH}" = "SRPM" ]; then
 						# Build SRPM.
 						typeset base_arch="${arches[1]}"
+						if [ -z "${base_arch}" ]; then
+							echo "No base arch available, your PLATFORM (${PLATFORM}) value is likely invalid." >&2
+							exit 1
+						fi
+
 						if [ "x${l_DIST}" = "xfedora" ] || [ "x${l_DIST}" = "xepel" ]; then
 							# Previously used ~mock here, but don't, since on typical systems
 							# (no matter whether Debian, CentOS or Fedora), a "mock" user does

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list